Qt 5.6 | Qt 3D | C++ Classes | QFrontFace

Qt 5.6.3 Reference Documentation

# QFrontFace Class

(Qt3DRender::QFrontFace)

Inherits: | QRenderState

- List of all members, including inherited members

## Public Types

enum | FaceDir { ClockWise, CounterClockWise }

## Properties

- direction : FaceDir

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QFrontFace(Qt3DCore::QNode *parent = Q_NULLPTR)
| ~QFrontFace()
FaceDir | direction() const

- 1 public function inherited from Qt3DRender::QRenderState
- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setDirection(FaceDir direction)

- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | directionChanged(FaceDir direction)

- 2 signals inherited from Qt3DCore::QNode

## Protected Functions

void | copy(const Qt3DCore::QNode *ref)

- 3 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 static protected member inherited from Qt3DCore::QNode

## Member Type Documentation

### enum QFrontFace::FaceDir

## Property Documentation

### direction : FaceDir

Access functions:

FaceDir | direction() const
void | setDirection(FaceDir direction)

Notifier signal:

void | directionChanged(FaceDir direction)

## Member Function Documentation

### QFrontFace::QFrontFace(Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QFrontFace.

### QFrontFace::~QFrontFace()

Destroys the instance of QFrontFace.

### `[protected]` void QFrontFace::copy(const Qt3DCore::QNode *ref)